Skip to content

Get a single player​

GET
/v4/players/{player_uuid}

Returns the player specified. You can get multiple players by using the GETGet multiple players endpoint.

Parameters​

Path Parameters

player_uuid*
Type
string
Required
Examples
"00000000-1111-2222-3333-444444444444""00000000111122223333444444444444"
Format
"uuid-flexible"

Query Parameters

project

Inlcudes or excludes specified fields.

Mixing inclusion and exclusion will throw HTTP 400 Bad Request.

Type
string
Examples
"name,visits""!world_uuid,!last_scraped"

Responses​

Default Response

application/json
JSON
{
  
"streak": 0,
  
"legiticoins": 0,
  
"uuid": "00000000-1111-2222-3333-444444444444",
  
"name": "string",
  
"rank": "string",
  
"online": true,
  
"world": "de9b06f4-39ea-4143-b0db-e4db7060b842"
}

Playground​

Server
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI